This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303747 - Blocked channels and queues using HA
Blocked channels and queues using HA
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
high Severity high
: async
: 6.0 (Juno)
Assigned To: Peter Lemenkov
yeylon@redhat.com
: ZStream
Depends On: 1303745
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 15:07 EST by John Eckersberg
Modified: 2016-04-26 09:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: rabbitmq-server-3.3.5-16.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, if the rabbit_mirror_queue_master did not return when using HA and 'auto_delete' queues, the RabbitMQ server blocked channels during termination. These channels would then have no associated connections and were displayed as 'unknown'. This issue has been resolved.
Story Points: ---
Clone Of: 1303745
Environment:
Last Closed: 2016-02-29 00:10:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Eckersberg 2016-02-01 15:07:40 EST
+++ This bug was initially created as a clone of Bug #1303745 +++

https://github.com/rabbitmq/rabbitmq-server/issues/581

Likely a problem in all OSP versions.  This would explain a lot of weird partition-related hangs and such.
Comment 1 Peter Lemenkov 2016-02-17 09:34:54 EST
Build a rabbitmq-server-3.3.5-8.6.el7ost for rhos-6.0-rhel-7.
Comment 7 errata-xmlrpc 2016-02-29 00:10:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0308.html

Note You need to log in before you can comment on or make changes to this bug.